# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'enc/version'

Gem::Specification.new do |spec|
  spec.name          = "j-enc"
  spec.version       = Enc::VERSION
  spec.authors       = ["Jestin Woods"]
  spec.email         = ["jestin.woods@jivesoftware.com"]
  spec.summary       = %q{Puppet ENC using Collins.}
  spec.description   = %q{Puppet ENC using Collins.}
  spec.homepage      = ""
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.3"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.1"
  spec.add_development_dependency "webmock", "~> 1.20"
  spec.add_development_dependency "factory_girl", "~> 4.5"

  spec.add_runtime_dependency "collins_client", "~> 0.2"
end
