require 'factory_girl'
require 'support/factory_girl'

module FactoryDefaults
  MOCK_ASSET_TAG = 'jive-00001460'.freeze
  MOCK_ASSET_HOSTNAME = 'cfgmgmt1.test1.jivehosted.com'.freeze
  MOCK_ASSET_DATACENTER = 'jcadev'.freeze
  MOCK_ASSET_ENVIRONMENT = 'dev'.freeze
  MOCK_ASSET_PUPPET_ENVIRONMENT = 'production'.freeze
  MOCK_COLLINS_HOST = 'collins.dev.jivehosted.com'.freeze
  MOCK_COLLINS_URL = "http://#{MOCK_COLLINS_HOST}".freeze
  MOCK_COLLINS_USERNAME = 'admin'.freeze
  MOCK_COLLINS_PASSWORD = 'admin'.freeze
  MOCK_COLLINS_TIMEOUT = 30.freeze
  ROOT_SUPPORT_DIR = File.expand_path(File.dirname(__FILE__)).freeze
  MOCK_ENC_CACHE_DIR = ROOT_SUPPORT_DIR + '/support/cache'.freeze
  MOCK_ENC_CONF_DIR = ROOT_SUPPORT_DIR + '/support/conf'.freeze
  MOCK_ENC_LOG_DIR = ROOT_SUPPORT_DIR + '/support/log'.freeze
end

Dir[File.dirname(__FILE__) + '/factories/*.rb'].each {|file| require file }