require 'factories/node_asset'

FactoryGirl.define do
  factory :builder, class: Enc::Builder do
    skip_create

    node_asset FactoryGirl.build(:node_asset)

    initialize_with { new(node_asset) }
  end

  factory :builder_enc_disabled, class: Enc::Builder do
    skip_create

    node_asset FactoryGirl.build(:node_asset, puppet_enc: false)

    initialize_with { new(node_asset) }
  end

  factory :builder_blank_asset, class: Enc::Builder do
    skip_create

    node_asset FactoryGirl.build(:node_asset_blank)

    initialize_with { new(node_asset) }
  end
end
