FactoryGirl.define do
  factory :node_asset, class: Enc::CollinsHelper::Node::NodeAsset do
    skip_create

    tag FactoryDefaults::MOCK_ASSET_TAG
    hostname FactoryDefaults::MOCK_ASSET_HOSTNAME
    datacenter FactoryDefaults::MOCK_ASSET_DATACENTER
    environment FactoryDefaults::MOCK_ASSET_ENVIRONMENT
    puppet_environment FactoryDefaults::MOCK_ASSET_ENVIRONMENT
    puppet_enc true

    initialize_with { new.class.from_json(Utils.get_asset_data(tag, hostname, datacenter, environment,
                                          puppet_environment, puppet_enc)
    ) }
  end

  factory :node_asset_blank, class: Enc::CollinsHelper::Node::NodeAsset do
    skip_create
  end
end