require 'spec_helper'

describe 'ENC Config' do
  before :all do
    @config = FactoryGirl.build(:config)
  end

  it 'sets a valid configuration' do
    expect(@config.get('host')).to eq(FactoryDefaults::MOCK_COLLINS_URL)
    expect(@config.get('username')).to eq(FactoryDefaults::MOCK_COLLINS_USERNAME)
    expect(@config.get('password')).to eq(FactoryDefaults::MOCK_COLLINS_PASSWORD)
    expect(@config.get('timeout')).to eq(FactoryDefaults::MOCK_COLLINS_TIMEOUT)
    expect(@config.get('jive_enc_cache_dir')).to eq(FactoryDefaults::MOCK_ENC_CACHE_DIR)
  end
end