require 'factories/config'

FactoryGirl.define do
  factory :runner, class: Enc::Runner do
    skip_create

    config FactoryGirl.build(:config)

    initialize_with { new(config) }
  end

  factory :runner_fallback, class: Enc::Runner do
    skip_create

    config FactoryGirl.build(:config, host: 'http://shouldneverexist99.jivehostedblah.com')

    initialize_with { new(config) }
  end
end
